org.wso2.carbon.dataservices.sql.driver.parser

## Class Constants.DRIVER_PROPERTIES

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.parser.Constants.DRIVER_PROPERTIES

- Enclosing class:
    Constants

      public static final class Constants.DRIVER_PROPERTIES
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATA_SOURCE_TYPE`
    `static String` | `FILE_PATH`
    `static String` | `HAS_HEADER`
    `static String` | `MAX_COLUMNS`
    `static String` | `PASSWORD`
    `static String` | `SHEET_NAME`
    `static String` | `USER`
    `static String` | `VISIBILITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants.DRIVER_PROPERTIES()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILE_PATH

          public static final String FILE_PATH

      See Also:
        Constant Field Values

    - #### DATA_SOURCE_TYPE

          public static final String DATA_SOURCE_TYPE

      See Also:
        Constant Field Values

    - #### USER

          public static final String USER

      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final String PASSWORD

      See Also:
        Constant Field Values

    - #### VISIBILITY

          public static final String VISIBILITY

      See Also:
        Constant Field Values

    - #### SHEET_NAME

          public static final String SHEET_NAME

      See Also:
        Constant Field Values

    - #### HAS_HEADER

          public static final String HAS_HEADER

      See Also:
        Constant Field Values

    - #### MAX_COLUMNS

          public static final String MAX_COLUMNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants.DRIVER_PROPERTIES

          public Constants.DRIVER_PROPERTIES()

Copyright © 2017 WSO2. All rights reserved.